Bug 731094 - Authconfig should support configuring SSSD with IPA back end
Summary: Authconfig should support configuring SSSD with IPA back end
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On: 789413
Blocks: 750571 756082
TreeView+ depends on / blocked
 
Reported: 2011-08-16 16:38 UTC by Dmitri Pal
Modified: 2012-06-20 14:29 UTC (History)
7 users (show)

Fixed In Version: authconfig-6.1.12-6.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 14:29:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0931 normal SHIPPED_LIVE authconfig bug fix and enhancement update 2012-06-19 21:00:40 UTC

Description Dmitri Pal 2011-08-16 16:38:47 UTC
Authconfig should have a UI and CLI option to configure SSSD with IPA back end.

Comment 1 Stephen Gallagher 2011-08-17 02:07:46 UTC
It should be noted that this will not be as simple as setting up an LDAP+KRB5 domain is right now.

The proper solution to this ticket will be for authconfig to integrate with the python API provided by the freeipa-client package so that authconfig can be used to join an IPA domain. This entails authenticating as a FreeIPA user with privilege to add new clients, retrieving a keytab and setting up SSSD to use this keytab to connect to the FreeIPA server(s).

Right now, there's a bit of a circular dependency with the freeipa-client, as the 'ipa-client-install' command currently does this work and calls out to authconfig to set up the nsswitch, krb5 and PAM configurations.

So we'll need to coordinate this on both sides of the issue.

Comment 2 Tomas Mraz 2011-08-17 06:25:22 UTC
There should be a switch/api call flag in the ipa-client-install to not call the authconfig then. Authconfig does not handle calls of itself when its being already running correctly.

Comment 3 Rob Crittenden 2011-08-17 17:41:26 UTC
A division of labor would need to be very clear. Who writes krb5.conf, sssd.conf, ldap.conf, etc.? Depending on where that line is will help determine the best way in IPA to handle this.

For example, if authconfig is going to write all the config files then we may be able to simplify this a lot and have it call ipa-join directly. If ipa-client-install is still going to write the non nss/pam config files then yes, a switch (perhaps undocumented) would be the way to go.

Comment 4 Dmitri Pal 2011-12-15 00:39:02 UTC
We also need to support prompting user for the enrollment password.

Comment 14 errata-xmlrpc 2012-06-20 14:29:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0931.html


Note You need to log in before you can comment on or make changes to this bug.